DEVS-Fire API

setCellResolution

Set the size of each cell and the dimensions of the cell space. Defaults: resolution=30, dimension=200. Uploading a custom fuel map will override the dimension automatically.

POST
/setCellResolution

Query Parameters

Prop

Type

import requestsbase_url: str = "https://firesim.cs.gsu.edu/api/setCellResolution/"params: dict[str, int | str] = {    "userToken": "abc123xyz",    "cellResolution": 30,    "cellDimension": 200,}response = requests.post(base_url, params=params)print(response.text)
"Updated Cell resolution"
""
{
  "timestamp": "2026-05-20T16:41:20.323+00:00",
  "status": 500,
  "error": "Internal Server Error",
  "path": "/api/setCellResolution"
}

Response Body

text/plain

text/plain

application/json